.container {
  display: grid;
  grid-template: 1fr / auto fit-content(4em);
  grid-template-areas: "main case";
  gap: 1em;
  height: 100vh;
  overflow: hidden;

  .main {
    grid-area: main;
    overflow-y: auto;
  }

  .case {
    grid-area: case;
    background-color: #333;
    width: 4em;
    grid-auto-columns: fit-content(4em);
    transition: 400ms ease-in;
    position: relative;

    &.open {
      width: 25em;
      transition: width 400ms ease-out;
      background-color: white;
      border-left: 2em solid #333;
      // overflow-y: auto;
    }

    .close-button {
      position: absolute;
      top: 0.5em;
      left: -4em;
      background-color: #333;
      border-radius: 50% 0 0 50%;
    }
  }
}
